import 'package:flutter/material.dart';
import 'package:remever/common/widgets/bottom_safe_space.dart';
import 'package:remever/gen/assets.gen.dart';
import 'package:remever/screens/dialogs/dialog_header.dart';
import 'package:remever/screens/dialogs/dialog_item.dart';

class FiltersDialog extends StatelessWidget {
  const FiltersDialog({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        const DialogHeader(title: 'Сортировка'),
        DialogItem(
          title: 'Сначала Мои коллекции',
          child: Assets.icons.typeSortA.image(),
          onTap: () {
            Navigator.pop(context);
          },
        ),
        DialogItem(
          title: 'Сначала коллекции на изучении',
          child: Assets.icons.typeSortA.image(),
          onTap: () {
            Navigator.pop(context);
          },
        ),
        DialogItem(
          title: 'По дате обновления',
          child: Assets.icons.typeSortDown.image(),
          onTap: () {
            Navigator.pop(context);
          },
        ),
        DialogItem(
          title: 'По уровню изученности',
          child: Assets.icons.typeSortDown.image(),
          onTap: () {
            Navigator.pop(context);
          },
        ),
        DialogItem(
          title: 'По популярностии',
          child: Assets.icons.typeSortDown.image(),
          onTap: () {
            Navigator.pop(context);
          },
        ),
        DialogItem(
          title: 'По количеству карточек',
          child: Assets.icons.typeSortDown.image(),
          onTap: () {
            Navigator.pop(context);
          },
        ),
        const BottomSafeSpace(),
      ],
    );
  }
}
